TransientPropertyValueException (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate
Class TransientPropertyValueException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.hibernate.HibernateException
                      org.hibernate.TransientObjectException
                          org.hibernate.TransientPropertyValueException

All Implemented Interfaces:
  Serializable

    public class TransientPropertyValueException

extends TransientObjectException

Thrown when a property cannot be persisted because it is an association with a transient unsaved entity instance.

See Also:
  Serialized Form

Constructor Summary
`TransientPropertyValueException(String message, String transientEntityName, String propertyOwnerEntityName, String propertyName)` Constructs an `TransientPropertyValueException` instance.

Method Summary
`String` | `getMessage()` Return the exception message.
`String` | `getPropertyName()` Returns the property name.
`String` | `getPropertyOwnerEntityName()` Returns the entity name for entity that owns the association property.
`String` | `getTransientEntityName()` Returns the entity name for the transient entity.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TransientPropertyValueException

    public TransientPropertyValueException(String message,
                                           String transientEntityName,
                                           String propertyOwnerEntityName,
                                           String propertyName)

  Constructs an `TransientPropertyValueException` instance.

  Parameters:
    `message` - - the exception message;
    `transientEntityName` - - the entity name for the transient entity
    `propertyOwnerEntityName` - - the entity name for entity that owns the association property.
    `propertyName` - - the property name

Method Detail

### getTransientEntityName

    public String getTransientEntityName()

  Returns the entity name for the transient entity.

  Returns:
    the entity name for the transient entity.

### getPropertyOwnerEntityName

    public String getPropertyOwnerEntityName()

  Returns the entity name for entity that owns the association property.

  Returns:
    the entity name for entity that owns the association property

### getPropertyName

    public String getPropertyName()

  Returns the property name.

  Returns:
    the property name.

### getMessage

    public String getMessage()

  Return the exception message.

  Overrides:
    `getMessage` in class `Throwable`
  Returns:
    the exception message.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.